<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Program Study
		</title>
		<meta name="_csrf" th:content="${_csrf.token}"/>
		<meta name="_csrf_header" th:content="${_csrf.headerName}"/>
		<script th:inline="javascript">
			function editProdi(id, faculty,status, department, name, departmentName) {

				// Populate form data
				document.getElementById('prodiName').value = name;
				document.getElementById('faculty').value = faculty;
				document.getElementById('department').value = department;
				document.getElementById('id').value = id;
				document.getElementById('cancel-button').style.display = 'block';

				// Clear existing options in the select element
				var departmentSelect = document.getElementById('department');
				departmentSelect.innerHTML = '';

				// Add the default "Pilih Departemen" option
				var defaultOption = document.createElement('option');
				defaultOption.value = '';
				defaultOption.text = 'Pilih Departemen';
				departmentSelect.add(defaultOption);

				// Add the new option to the select element
				var departmentSelect = document.getElementById('department');
				var newOption = document.createElement('option');
				newOption.value = department;
				newOption.text = departmentName;

				var optionExists = false;
				for (var i = 0; i < departmentSelect.options.length; i++) {
					if (departmentSelect.options[i].value === department) {
						optionExists = true;
						break;
					}
				}

				// If the option doesn't exist, add it to the select element
				if (!optionExists) {
					departmentSelect.add(newOption);
				}

				// Set the selected value
				departmentSelect.value = department;
			}

			function cancelEdit() {
				document.getElementById('prodiName').value = '';
				document.getElementById('faculty').value = '';
				document.getElementById('department').value = '';
				document.getElementById('id').value = '';
				document.getElementById('cancel-button').style.display = 'none';
			}
		</script>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<!-- nav tabs -->
			<div
				th:replace="~{setting/program-study/partials/navtab.html :: navTab}"
			></div>

			<!-- form -->
			<div
				th:replace="~{setting/program-study/partials/form.html :: form}"
			></div>
			<div class="rounded-xl shadow bg-white dark:bg-gray-800">
				<!-- table header -->
				<div
					th:replace="~{setting/program-study/partials/table-header.html :: tableHeader}"
				></div>
				<!-- table -->
				<div
					th:replace="~{setting/program-study/partials/table.html :: table}"
				></div>
				<!-- table footer -->
				<div
					th:replace="~{setting/program-study/partials/table-footer.html :: tableFooter}"
				></div>
			</div>
		</div>
	</body>
</html>
